package plaGen;

public class HiGndLegCell {

	//private Vector arcs;
	private LayNode head;
	private LayNode tail;
	
	private String arcString;
	
	private Paramgetter params;
	
	private int numNets;
	private int netCount;
	
	public HiGndLegCell(LayNode startNode, LayNode endNode, Paramgetter p, int n,int nets, int pins, int pwells) {

		numNets = nets;
		netCount = 0;
		head = startNode;
		tail = endNode;
		params = p;
		makeArc();
		
	}

	private void makeArc() {
		String type = "Metal-1";
		String name = "net@" + String.valueOf(numNets);
		netCount++;
		numNets++;
		String nameTD = "";
		double width = params.getPowerAndGndWide();
		String flags = "S";
		LayArc arc = new LayArc(type,name,nameTD,width,flags,head,tail,params);
		//arcs.add(arc);
		arcString += arc.getText();
	}
/*
	public Vector getArcs() {
		return arcs;
	}
	*/
	public int getNumNets() {
		return netCount;
	}
	public String getArcString() {
		return arcString;
	}
}
