package plaGen;

public class MidGndLegCell {

	// private Vector layArcs;
	// private Vector layNodes;
	private String nodeString;

	private String arcString;

	private LayNode head;

	private LayNode tail;

	private Paramgetter params;

	private int numNets;

	private int netCount;

	public MidGndLegCell(LayNode startNode, LayNode endNode, Paramgetter p,
			int n, int nets, int pins, int pwells) {
		// nodes = new Vector(10,10);
		// arcs = new Vector(10,10);
		nodeString = "";
		arcString = "";

		numNets = nets;
		netCount = 0;
		head = startNode;
		tail = endNode;
		params = p;
		makeArc();
	}

	private void makeArc() {
		String type = "Metal-2";
		String name = "net@" + String.valueOf(numNets);
		netCount++;
		numNets++;
		String nameTD = "";
		double width = params.getPowerAndGndWide();
		String flags = "S";
		LayArc arc = new LayArc(type, name, nameTD, width, flags, head, tail,
				params);
		// arcs.add(arc);
		arcString += arc.getText();
	}

	/*
	 * public Vector getArcs() { return arcs; }
	 */
	public int getNumNets() {
		return netCount;
	}

	public String getNodeString() {
		return nodeString;
	}

	public String getArcString() {
		return arcString;
	}
}
