package plaGen;




public class SchArc

{

	public static final int AT_wire = 0;

	

	public static final String S_wire  = "net";

	

	protected String sName;

	protected String sType;

	protected int    iType;

	protected float  flWidth;

	protected float  flRot;

	protected String sHNode;

	protected String sHPort;

	protected float  flHX;

	protected float  flHY;

	protected String sTNode;

	protected String sTPort;

	protected float  flTX;

	protected float  flTY;

	

	protected SchematicManager lib;

	

	public SchArc(int type, float w, String hnode, String hport, float hx, float hy,

									 String tnode, String tport, float tx, float ty, 

									 String name, SchematicManager lib){

		this.lib = lib;

		

		iType = type;

		flWidth = w;

		

		sHNode = hnode;

		sHPort = hport;

		flHX = hx;

		flHY = hy;

		

		sTNode = tnode;

		sTPort = tport;

		flTX = tx;

		flTY = ty;

		

		sName = name;

		

		switch(iType)

		{

			case AT_wire: sType = "wire"; break;

			default : sType = null;

		}

	}

	

	public String GetString()

	{

		return "A"+sType+"|"+sName+"||"+flWidth+"||"+sHNode+"|"+sHPort+"|"+flHX+"|"+flHY+"|"+sTNode+"|"+sTPort+"|"+flTX+"|"+flTY;

	}

}